Skip to main content
`Ctrl`+`K`

# DMPlexCreateEGADSLiteFromFile

Create a DMPlex mesh from an EGADSLite file.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateEGADSLiteFromFile(MPI_Comm comm, const char filename[], DM *dm)

Collective

## Input Parameters

- comm - The MPI communicator

- filename - The name of the EGADSLite file

## Output Parameter

- dm - The DM object representing the mesh

## See Also

`DMPLEX`, `DMCreate()`, `DMPlexCreateEGADS()`, `DMPlexCreateEGADSFromFile()`

## Level

beginner

## Location

src/dm/impls/plex/plexegadslite.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages